Bug 145299 - [Streams API] Implement ReadableStreamReader.releaseLock
Summary: [Streams API] Implement ReadableStreamReader.releaseLock
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks: 138967
  Show dependency treegraph
 
Reported: 2015-05-21 23:40 PDT by youenn fablet
Modified: 2015-06-18 01:59 PDT (History)
3 users (show)

See Also:


Attachments
Patch (13.40 KB, patch)
2015-06-16 10:08 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (13.37 KB, patch)
2015-06-18 00:58 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (13.38 KB, patch)
2015-06-18 01:01 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2015-05-21 23:40:33 PDT
Implement https://streams.spec.whatwg.org/#reader-release-lock
Comment 1 youenn fablet 2015-06-16 10:08:37 PDT
Created attachment 254954 [details]
Patch
Comment 2 Darin Adler 2015-06-17 15:48:43 PDT
Comment on attachment 254954 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=254954&action=review

> Source/WebCore/Modules/streams/ReadableStream.h:70
> +    bool hasReadPendingRequests() { return m_readRequests.size(); }

Often we use !isEmpty instead of size for such things. In theory isEmpty might be faster than !size.

> Source/WebCore/Modules/streams/ReadableStreamReader.h:36
> +#include "ExceptionCode.h"

If we need only the type for ExceptionCode, then we typically declare it with:

    typedef int ExceptionCode;

rather than including the header.
Comment 3 youenn fablet 2015-06-18 00:58:14 PDT
Created attachment 255096 [details]
Patch for landing
Comment 4 youenn fablet 2015-06-18 01:01:15 PDT
Created attachment 255097 [details]
Patch for landing
Comment 5 WebKit Commit Bot 2015-06-18 01:59:00 PDT
Comment on attachment 255097 [details]
Patch for landing

Clearing flags on attachment: 255097

Committed r185697: <http://trac.webkit.org/changeset/185697>
Comment 6 WebKit Commit Bot 2015-06-18 01:59:05 PDT
All reviewed patches have been landed.  Closing bug.